"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
exports.default = {
    getInstallPackagesCommand,
    getInstallPackageCommand
};
const packageManagers = ['pnpm', 'yarn', 'npm'];
function getInstallPackagesCommand() {
    let command = utils_1.default.findGlobalCommandByPrecedence(packageManagers);
    let params = [];
    switch (command) {
        case 'npm':
            params = ['install'];
            break;
        case 'pnpm':
            params = ['install', '--no-lock'];
            break;
        case 'yarn':
            params = ['--no-lockfile'];
            break;
    }
    return {
        command,
        params
    };
}
function getInstallPackageCommand(packageName, isDevDependency) {
    let command = utils_1.default.findGlobalCommandByPrecedence(packageManagers);
    let params = [];
    switch (command) {
        case 'npm':
            params = ['install', packageName, '--save', '--save-exact'];
            break;
        case 'pnpm':
            params = ['install', packageName, '--save', '--save-exact', '--no-lock'];
            break;
        case 'yarn':
            params = ['add', packageName, '--no-lockfile', '--exact'];
            break;
    }
    if (isDevDependency) {
        params.push('-D'); //the same for all managers
    }
    return {
        command,
        params
    };
}
//# sourceMappingURL=packagesHelper.js.map